Subject: Re: bug#79351: 30.2; window-resize-symbollwise

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Sep 2025 18:06:00 +0300

> Date: Mon, 1 Sep 2025 10:37:32 +0200
> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > That was because of performance issues, right?  I see nothing in that
>  > discussion that objects to the character-level dragging in principle.
>  >
>  > I see no reason not to allow that as an option.  Patches welcome.
> 
> I attach a patch supposed to fix your earlier
> 
>   According to the manual, window-resize-pixelwise = nil is what you
>   want.  However, it currently doesn't affect dragging the window border
>   with the mouse, AFAIU.  Martin, am I right?  This could be a simple
>   omission.
> 
> But it's still sluggish as back in 2014, the mouse cursor moves far
> ahead of the lines to drag and it refuses to move a mode line with
> 'mouse-fine-grained-tracking' non-nil.  Likely remember_mouse_glyph
> interferes here.

Thanks.  I hope Yurii will be able to try the patch and see if it
satisfies him.